EDIT - feature request #7664

Use typified return types where possible
08/17/2018 03:23 PM - Andreas Mdller

Status: In Progress Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Reviewed Next Major Release

Severity: normal

Description

1. Many method of service layer and persistence use T as return type even if a more specific class is defined by parameters.

We should clean this up by using local generics where possible.

1. Also we may want to add more methods defining the expected return type within the parameters to avoid invalid results and to

avoid casting.

Associated revisions

Revision 98ce4a92 - 08/17/2018 03:31 PM - Andreas Miiller

ref #7664 adapt return type for many methods with defined typification

Revision 54ada1c3 - 08/17/2018 05:19 PM - Andreas Miiller
ref #7664 adapt return type for many methods with defined typification

Revision 5bfe953d - 08/21/2018 08:29 AM - Andreas Miiller
ref #7664 adapt app-import to typified return types

History

#1 - 09/06/2018 09:56 AM - Andreas Mdiller

- Target version changed from Release 5.3 to Release 5.5

#2 - 02/14/2019 10:24 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#3 - 02/28/2019 10:38 AM - Andreas Miiller
- Priority changed from New to Priority14

- Target version changed from Release 5.6 to Reviewed Next Major Release

#4 - 12/14/2023 11:11 AM - Andreas Miiller

- Status changed from New to In Progress
